%define aurox_ver 9.3
%define rel 2


%define version 0.2.7

Summary:      TSE3 Sequencer Engine
Name:         tse3
Version:      %{version}
Release: %{aurox_ver}.aur.%{rel}
License:      GPL
Group:        System Environment/Libraries
Source0:      %{name}-%{version}.tar.gz
Patch0: tse3-0.2.7-oldalsa.patch
URL:          http://tse3.sourceforge.net
BuildRoot:    %{_tmppath}/%name-%{version}-root
BuildRequires: alsa-lib-devel arts-devel qt-devel >= 3.0
BuildRequires: autoconf

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of user
interface. Sequencer applications or multimedia presentation packages
will incorporate the TSE3 libraries to provide a user with MIDI
sequencing facilities.

%package devel
Summary:      Tse3 development files
Group:        Development/Libraries
Requires:     %{name} = %{version}

%description devel
Tse3 development files.

%prep
%setup -q
%patch -p1

%build
libtoolize --force
aclocal
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# remove doc files installed in the wrong directory
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%doc doc/*.html demos/*tse* doc/*.jpeg doc/*.png doc/*.gif
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/tse3
%{_mandir}/man3/*

%changelog
* Fri Nov  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- added release tags, cleaned up spec file
- disabled debugging ("-g") flag
* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.7-1
- update to 0.2.7
* Sun Jan 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.5-1
- Initial build.
